﻿@{
    ViewBag.NomePagina = "ImportarCesta";
}

@Html.Partial("~/Views/Paginas/ConsultaCestaServico/Partials/_IndexStyle.cshtml")

<div class="titulo-pagina">
    <span>
        TGV Vendas  &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Parâmetros  &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Cesta Produto &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Importar Dados &nbsp;
    </span>
</div>

<div id="divPesquisa">
    <div class="campos-holder">
        <i class="material-icons">search</i>
        <i class="material-icons">more_vert</i>
        @Html.Partial("~/Views/Partials/Select2ServicosCestaCodigos.cshtml", new Select2ServicosCestaViewModel() { idControleSelect2 = "selCvc", idControleInput = "TxtCvc", tipoPesquisa = true, ativo = false })
        <i class="material-icons">more_vert</i>
        <div class="input-daterange">
            <div class="input-daterange input-daterangedmy">
                <input id="txtDatAgdCtoNegFil" name="txtDatAgdCtoNegFil" data-required="1" type="text" class="mdl-textfield__input datedmy filtro" placeholder="Selecione uma Data" style="border-bottom:0; text-align:left; color:#6c757d;">
            </div>
        </div>

        <input type="file" id="FileUpload" class="btn btn-success" style="visibility:visible;" name="FileUpload" accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel" />

        <i class="material-icons">more_vert</i>
        <button class="btn btn-success" id="btnPesquisarTela">
            Pesquisar
        </button>
    </div>
    <div id="grdCadastroCondicaoContainer"></div>
</div>

<!-- Cadastro -->
<div id="divCadastro" style="display: none;">
    <form action="#" id="frmCadastro" novalidate="novalidate">
        <div class="tgv-cabecalho-container">
            <strong class="strong-cabecalho-tgv">Cesta Serviço</strong>
        </div>
        <div class="tgv-crud-container tgv-mat-closer">
            <div class="row">
                <div class="col-lg-1 tipo-codedit">
                    <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label" style="padding-top: 31px;">
                        <input class="mdl-textfield__input" id="txtCodCndCmc" name="txtCodCndCmc" type="text" disabled maxlength="10">
                        <label class="mdl-textfield__label" for="input-text-1">Codigo</label>
                    </div>
                </div>
                <div class="col-lg-3">
                    <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label" style="padding-top: 31px;">
                        <input class="mdl-textfield__input" id="txtDes" name="txtDes" type="text" maxlength="70">
                        <label class="mdl-textfield__label" for="input-text-1">Descrição Serviço</label>
                    </div>
                </div>
                <div class="col-lg-2">
                    <div class="tgv-select-material" style="padding-top: 27px;">
                        <select id="ddlTipo" name="ddlTipo" class="form-control">
                            <option value="0" selected="selected">Selecione um tipo...</option>
                            <option value="Numero">Numero</option>
                            <option value="Texto">Texto</option>
                        </select>
                    </div>
                </div>
                <div class="col-lg-2">
                    <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label" style="padding-top: 31px;">
                        <input class="mdl-textfield__input" id="txtSeq" name="txtSeq" type="number" maxlength="8">
                        <label class="mdl-textfield__label" for="input-text-1">Sequência</label>
                    </div>
                </div>
                <div class="col-lg-1">
                    <div style="padding-top: 29px;">
                        <label class="mdl-checkbox mdl-js-checkbox mdl-js-ripple-effect" for="checkImportar">
                            <input type="checkbox" id="checkImportar" class="mdl-checkbox__input" value="1">
                            <span class="mdl-checkbox__label" style="font-size:10px;">Importar?</span>
                        </label>
                    </div>
                </div>
                <div class="col-lg-1">
                    <div style="padding-top: 29px;">
                        <label class="mdl-checkbox mdl-js-checkbox mdl-js-ripple-effect" for="checkDesativar">
                            <input type="checkbox" id="checkDesativar" class="mdl-checkbox__input" value="1">
                            <span class="mdl-checkbox__label" style="font-size:10px;">Desativar</span>
                        </label>
                    </div>
                </div>
            </div>
            <div class="row" style="padding:0 10px">
                <div class="footer">
                    <span class="pull-right" style="padding:0 10px">
                        <button id="btnInserirCadastro" type="button" class="btn btn-success">
                            <i class="fa fa-floppy-o">&nbsp;</i>
                            Salvar
                        </button>
                        <button id="btnEditarCadastro" type="button" class="btn yellow-lemon">
                            <i class="fa fa-pencil-square-o">&nbsp;</i>
                            Salvar
                        </button>
                        <button type="button" class="btn btn-danger" id="btnFecharCadastro">
                            <i class="fa fa-arrow-left">&nbsp;</i>
                            Voltar
                        </button>
                    </span>
                </div>

                <div class="col-md-12">
                    <button id="btnLog" type="button" class="btn blue-madison">
                        <i class="fa fa-arrow-down">&nbsp;</i> Log
                    </button>
                </div>
                <br />
                <div class="col-md-12">
                    <div id="divLog" style="display: none;">
                        <div class="row">
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label for="input-text-1">
                                        <strong>Data Cadastro:</strong>
                                    </label>
                                    <input id="txtDatFncCadLog" name="txtDatFncCadLog" readonly type="text" style="background:none; border:none; font-size:13px; font-family: sans-serif;" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label for="input-text-1">
                                        <strong>Ultima Alteração:</strong>
                                    </label>
                                    <input id="txtDatFncAltLog" name="txtDatFncAltLog" readonly type="text" style="background:none; border:none; font-size:13px; font-family: sans-serif;" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label for="input-text-1">
                                        <strong>Desativação:</strong>
                                    </label>
                                    <input id="txtDatFncDstLog" name="txtDatFncDstLog" readonly type="text" style="background:none; border:none; font-size:13px; font-family: sans-serif;" class="form-control numeric">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>

@Html.Partial("~/Views/Paginas/ConsultaCestaServico/Partials/_IndexScript.cshtml")
